#
# kihon3.rb
#
# $Id: kihon3.rb,v 1.1 2000/11/21 03:15:38 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 40
imax = 7
dt = 4.0*PI/nmax

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1, imax)

#-- data ----
x = x.indgen * 1.0/nmax
for n in 0..nmax
  for i in 0..imax-1
    y[n,i] = 0.2*sin(n*dt) + 0.8 - 0.1*i
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#-- marker type : frame 1 --
sgfrm
slpvpr(1) 

sgpmv(nmax+1, x, y[true,0])

for i in 1..imax-1
  itype = i + 1
  sgspmt(itype)
  sgpmv(nmax+1, x, y[true,i])
end

#-- marker size : frame 2 --
sgfrm
slpvpr(1) 

sgspmt(10)
sgpmv(nmax+1, x, y[true,0])

for i in 1..imax-1
  rsize = 0.005*i
  sgspms(rsize)
  sgpmv(nmax+1, x, y[true,i])
end

sgcls

